Core - Task # 38106

Task # 38086 (Closed): Enhance TYPOS3 bootstrap mechanism

Status: Resolved Priority: Should have
Author: Christian Kuhn Category:

Created: 2012-06-15 Assigned To:

Updated: 2012-06-16 Due date:

TYPOS3 Version: 6.0

PHP Version: 53

Complexity: medium

Sprint Focus:

Subject: Split t3lib/config_default.php code into functions

Description

Step to a cleaner bootstrap in config_default.php: Split the

code segments into functions and call them. Do not worry about lots
of global functions, they will be moved to the bootstrap classes

with the next patches.

Associated revisions

Revision 87ce64c8 - 2012-06-16 11:51 - Christian Kuhn

[TASK] Split t3lib/config_default.php code into functions

Step to a cleaner bootstrap in config_default.php: Split the

code segments into functions and call them. Do not worry about lots
of global functions, they will be moved to the bootstrap classes

with the next patches.

Change-Id: 10e00ad575d081688e0dcee58a7293d523a5d999a
Resolves: #38106
Releases: 6.0

Reviewed-on: http://review.typo3.org/12118

Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Tested-by: Susanne Moog
Reviewed-by: Susanne Moog
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 91bb7730 - 2012-06-23 23:42 - Christian Kuhn

[TASK] Split t3lib/config_default.php code into functions

Step to a cleaner bootstrap in config_default.php: Split the

code segments into functions and call them. Do not worry about lots
of global functions, they will be moved to the bootstrap classes

with the next patches.

Change-Id: 10e00ad575d081688e0dcee58a7293d523a5d999a

2015-08-04

1/2



http://review.typo3.org/12118

Resolves: #38106
Releases: 6.0
Reviewed-on: http://review.typo3.org/12118

Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Tested-by: Susanne Moog
Reviewed-by: Susanne Moog
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2012-06-15 23:44 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12118

#2 - 2012-06-16 12:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:87ce64c87003a2ed34385a0acfef0ef14b1f0780.

#3 - 2012-06-16 21:19 - Christian Kuhn
- Parent task set to #38086
